import * as d3 from 'd3';
export default class {
    width: number;
    group: d3.Selection<any, any, any, any>;
    pos: 1 | 2 | 3 | 4;
    duration: number;
    onSelect: Function;
    data: {
        key: string;
        label: string;
        value: number;
        index: number;
    }[];
    SelectKeys: string[];
    AllKeyMap: Map<any, any>;
    constructor(group: d3.Selection<any, any, any, any>, pos?: 1 | 2 | 3 | 4, onSelect?: Function, width?: number, duration?: number);
    getIndex(key: any): any;
    update(data: any): void;
}
